diff -ruN sysinfo-0.1.0a-orig/osdresources.c sysinfo-0.1.0a/osdresources.c
--- sysinfo-0.1.0a-orig/osdresources.c	2007-07-02 16:06:07.000000000 -0700
+++ sysinfo-0.1.0a/osdresources.c	2007-07-02 16:09:24.000000000 -0700
@@ -92,9 +92,8 @@
 	char cTemp[100];
 	strcpy(cTemp, itoa(iValue));
 	strcat(cTemp, "%");
-	static const cFont *font = cFont::GetFont(fontOsd);
 	
-	oProgressOsd->DrawText(iTextLeft, iTextTop, cTemp, clrWhite, clrBlack, font);
+	oProgressOsd->DrawText(iTextLeft, iTextTop, cTemp, clrWhite, clrBlack, cFont::GetFont(fontOsd));
 }
 
 
diff -ruN sysinfo-0.1.0a-orig/sysinfo.c sysinfo-0.1.0a/sysinfo.c
--- sysinfo-0.1.0a-orig/sysinfo.c	2007-07-02 16:06:29.000000000 -0700
+++ sysinfo-0.1.0a/sysinfo.c	2007-07-02 16:09:29.000000000 -0700
@@ -72,6 +72,7 @@
 
 cOsdObject *cSysInfo::MainMenuAction(void) {
   // Perform the action when selected from the main VDR menu.
+  const int LINEHEIGHT = cFont::GetFont(fontOsd)->Height();
   config.height=8 * (LINEHEIGHT + 4);
   return new cSysInfoOsd;
 }
diff -ruN sysinfo-0.1.0a-orig/sysinfoosd.c sysinfo-0.1.0a/sysinfoosd.c
--- sysinfo-0.1.0a-orig/sysinfoosd.c	2007-07-02 16:06:15.000000000 -0700
+++ sysinfo-0.1.0a/sysinfoosd.c	2007-07-02 16:09:36.000000000 -0700
@@ -98,7 +98,7 @@
 	int iHalfHeight = (int)(iHeight/2);
 	sprintf(cTemp, tr("PLEASE WAIT..."));
 	
-	osd->DrawText(iHalfWidth-100, iHalfHeight-20, cTemp, pal[3],pal[1],font);
+	osd->DrawText(iHalfWidth-100, iHalfHeight-20, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	DisplayBitmap();
 }
 
@@ -201,30 +201,30 @@
 	cOsdResources::DrawVerticallLine(osd, iWidth-2, 0, iHeight-2, pal[2]);
     cOsdResources::DrawVerticallLine(osd, iWidth-129, 0, 33, pal[2]);
 	// Draw test
-	osd->DrawText(10, 3, "SysInfo 0.1.0a", pal[2],pal[3],font);
-	osd->DrawText(iWidth-120, 3, "by Kikko77", pal[2],pal[3],font);	
+	osd->DrawText(10, 3, "SysInfo 0.1.0a", pal[2],pal[3],cFont::GetFont(fontOsd));
+	osd->DrawText(iWidth-120, 3, "by Kikko77", pal[2],pal[3],cFont::GetFont(fontOsd));	
 }
 
 void cSysInfoOsd::SensorData(int iTop) {
 	// Temperature
 	char cTemp[100];
 	sprintf(cTemp, tr("Cpu temperature:"));
-	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	sprintf(cTemp, tr("M/B temperature:"));
-	osd->DrawText(15, iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("sysinfo.sh cputemp", cTemp);
-	osd->DrawText(270, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(270, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("sysinfo.sh mbtemp", cTemp);
-	osd->DrawText(270, iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(270, iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Fan rpm
 	sprintf(cTemp, tr("Fan1:"));
-	osd->DrawText(((config.width/2)+20), iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(((config.width/2)+20), iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	sprintf(cTemp, tr("Fan2:"));
-	osd->DrawText(((config.width/2)+20), iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(((config.width/2)+20), iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("sysinfo.sh cpufan", cTemp);
-	osd->DrawText(((config.width/2)+170), iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(((config.width/2)+170), iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("sysinfo.sh mbfan", cTemp);
-	osd->DrawText(((config.width/2)+170), iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(((config.width/2)+170), iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Draw line separator
 	cOsdResources::DrawOrizontalLine(osd, iTop+74, 0, iWidth, pal[2]);
 }
@@ -233,9 +233,9 @@
 void cSysInfoOsd::VideoSpace(int iTop) {
 	char cTemp[100];
 	sprintf(cTemp, tr("Video disk free space:"));
-	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("sysinfo.sh vidspace", cTemp);
-	osd->DrawText(285, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(285, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Draw line separator
 	cOsdResources::DrawOrizontalLine(osd, iTop+46, 0, iWidth, pal[2]);
 }
@@ -244,20 +244,20 @@
 	char cTemp[100];
 	
 	sprintf(cTemp, tr("Linux kernel:"));
-    osd->DrawText(15, 40, cTemp, pal[3],pal[1],font);
+    osd->DrawText(15, 40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
     sprintf(cTemp, tr("Cpu type:"));
-	osd->DrawText(15, 70, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, 70, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Kernel e cpu type
 	ExecShellCmd("uname -r", cTemp);
-	osd->DrawText(160, iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(160, iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("cat //proc//cpuinfo | grep 'processor' |grep '1'", cTemp);
 	if (cTemp[0]=='\0') {
 		ExecShellCmd("cat //proc//cpuinfo | grep 'model name' | cut -c 14-58 | uniq", cTemp);
-		osd->DrawText(160, iTop+70, cTemp, pal[3],pal[1],font);
+		osd->DrawText(160, iTop+70, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	} else {
 		ExecShellCmd("cat //proc//cpuinfo | grep 'model name' | cut -c 14-58 | uniq", cTemp);
-		osd->DrawText(160, iTop+70, "2 x ", pal[3],pal[1],font);
-		osd->DrawText(200, iTop+70, cTemp, pal[3],pal[1],font);
+		osd->DrawText(160, iTop+70, "2 x ", pal[3],pal[1],cFont::GetFont(fontOsd));
+		osd->DrawText(200, iTop+70, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	}
 	// Draw line separator
 	cOsdResources::DrawOrizontalLine(osd, iTop+104, 0, iWidth, pal[2]);
@@ -273,25 +273,25 @@
 
 	// Cpu Speed
 	sprintf(cTemp, tr("Cpu speed:"));
-	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("cat /proc/cpuinfo | grep 'cpu MHz' | cut -c 12-60", cTemp);
 	strcpy(cTemp, itoa(cUtility::CharToInt(cTemp)));
 	strcat(cTemp, "Mhz");
-	osd->DrawText(215, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(215, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Calculate cpu free
 	ExecShellCmd("CPU=0; for I in `ps -eo ""%C"" | grep ""\\.""`; do CPU=`echo $CPU $I | awk '{ print $1 + $2 }'`; done; echo $CPU", cTemp);
 	iPerCentCpu=cUtility::CharToInt(cTemp);
 	if (iPerCentCpu>100) iPerCentCpu=100;
 	sprintf(cTemp, tr("Cpu used:"));
-	osd->DrawText(15, iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	strcpy(cTemp, (itoa(iPerCentCpu)));
 	strcat(cTemp, "%");
-	osd->DrawText(215, iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(215, iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	sprintf(cTemp, tr("Cpu free:"));
-	osd->DrawText(15, iTop+70, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+70, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	strcpy(cTemp, itoa(100-iPerCentCpu));
 	strcat(cTemp, "%");	
-	osd->DrawText(215, iTop+70, cTemp, pal[3],pal[1],font);
+	osd->DrawText(215, iTop+70, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Cpu Graph
 	d=((iDownGraph-iTopGraph)/100)*iPerCentCpu;
 	i=(int)d;
@@ -312,29 +312,29 @@
 	
 	// total memory
 	sprintf(cTemp, tr("Total memory:"));
-	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("cat /proc/meminfo | grep -i 'MEMTOTAL' | cut -c 16-23 | tr -d ' '", cTemp);
 	dTemp=atof(cTemp);
 	int iMemTot=(int)(dTemp/1000);
 	strcpy(cTemp, itoa(iMemTot));
 	strcat(cTemp, "Mb");
-	osd->DrawText(215, iTop+10, cTemp, pal[3],pal[1],font);
+	osd->DrawText(215, iTop+10, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Free memory
 	sprintf(cTemp, tr("Free memory:"));
-	osd->DrawText(15, iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	ExecShellCmd("cat /proc/meminfo | grep -i 'MEMFREE' | cut -c 16-23 | tr -d ' '", cTemp);
 	dTemp=atof(cTemp);
 	int iMemFree=(int)(dTemp/1000);
 	strcpy(cTemp, itoa(iMemFree));
 	strcat(cTemp, "Mb");
-	osd->DrawText(215, iTop+40, cTemp, pal[3],pal[1],font);
+	osd->DrawText(215, iTop+40, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Used memory
 	sprintf(cTemp, tr("Used memory:"));
-	osd->DrawText(15, iTop+70, cTemp, pal[3],pal[1],font);
+	osd->DrawText(15, iTop+70, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	int iMemUsed=iMemTot-iMemFree;
 	strcpy(cTemp, itoa(iMemUsed));
 	strcat(cTemp, "Mb");
-	osd->DrawText(215, iTop+70, cTemp, pal[3],pal[1],font);
+	osd->DrawText(215, iTop+70, cTemp, pal[3],pal[1],cFont::GetFont(fontOsd));
 	// Mem Graph
 	iPerCentMem=(100*iMemUsed)/iMemTot;
 	d=((iDownGraph-iTopGraph)/100)*iPerCentMem;
diff -ruN sysinfo-0.1.0a-orig/sysinfoosd.h sysinfo-0.1.0a/sysinfoosd.h
--- sysinfo-0.1.0a-orig/sysinfoosd.h	2007-07-02 16:06:14.000000000 -0700
+++ sysinfo-0.1.0a/sysinfoosd.h	2007-07-02 16:09:40.000000000 -0700
@@ -6,8 +6,8 @@
 #include "utility.h"
 #include <ctype.h>
 
-static const cFont *font = cFont::GetFont(fontOsd);
-static const int LINEHEIGHT = font->Height();
+//static const cFont *font = cFont::GetFont(fontOsd);
+//static const int LINEHEIGHT = font->Height();
 #define NBLINES 4
 
 class cSysInfoOsd : public cThread, public cOsdObject {
